## -*-Tcl-*-
 # ==========================================================================
 #  Examples - a Help package for Alpha
 # 
 #  FILE: "Wiki-Example.tcl"
 #                                    created: 04/25/2002 {06:29:05 pm} 
 #                                last update: 04/29/2002 {01:47:33 PM} 
 #  Description: 
 #  
 #  Script for the "Wiki Example" in the Examples package.
 # 
 #  Author: Craig Barton Upright
 #  E-mail: <cupright@princeton.edu>
 #    mail: Princeton University, Department of Sociology
 #          Princeton, New Jersey 08544
 #     www: <http://www.princeton.edu/~cupright>
 #  
 # ==========================================================================
 ##

# The condition here really should be
# 
# if {[info tclversion] < 8.0 && [askyesno $wikiQuestion] == "yes"} {...}
# 
# but as of this writing 'httpCopy' will do a nasty freeze in Alpha8.0b1,
# so we only offer this for Alphatk and AlphaX.

set    wikiQuestion "Is an internet connection available? "
append wikiQuestion "(If not, a local version of the file will be opened, "
append wikiQuestion "but this cannot be saved to the web."

if {$tcl_platform(platform) != "macintosh" && [askyesno $wikiQuestion] == "yes"} {
    Wiki::editUrl "http://alphatcl.sourceforge.net/wikit/10@"
} else {
    edit [file join $HOME Examples Wiki-Example]
    win::ChangeMode Wiki
}

unset wikiQuestion

    

